add_onnx_mlir_dialect(Pim pim)
add_onnx_mlir_dialect_doc(pim Pim.td)

add_subdirectory(Transforms/Bufferization)

add_pim_library(PimOps
  PimOps.hpp
  PimOps.cpp

  EXCLUDE_FROM_OM_LIBS

  DEPENDS
  OMPimIncGen

  LINK_LIBS PUBLIC
  OMMlirDialects
  MLIRIR
)
